import { ref as q, reactive as h, resolveComponent as i, createBlock as g, openBlock as _, withCtx as p, createVNode as v, createElementBlock as R, Fragment as S, renderList as B, withModifiers as w, normalizeClass as E, createElementVNode as F, resolveDynamicComponent as $, toRaw as A } from "vue";
import { notification as b } from "ant-design-vue";
const U = (n, f) => {
  const d = n.__vccOpts || n;
  for (const [a, r] of f)
    d[a] = r;
  return d;
}, j = { class: "input-wrapper" }, z = {
  __name: "MultiEditModal",
  props: {
    fields: {
      type: Array,
      required: !0,
      default: () => []
    },
    selectedRecords: {
      type: Array,
      required: !0,
      default: () => []
    },
    // submitApi: {
    //   type: Function,
    //   required: true,
    // },
    getContainer: {
      type: Function,
      default: () => document.body
    }
  },
  emits: ["cancel", "submit"],
  setup(n, { expose: f, emit: d }) {
    const a = n, r = d, m = q(!1), l = h({}), t = h({});
    a.fields.forEach((e) => {
      l[e.name] = e.defaultValue || null, t[e.name] = !1;
    });
    const k = (e) => {
      t[e] = !t[e], console.log(`${e} 现在是 ${t[e]}`);
    }, y = () => {
      a.fields.forEach((e) => {
        l[e.name] = e.defaultValue || null, t[e.name] = !1;
      });
    }, M = () => {
      if (a.selectedRecords.length === 0) {
        b.error({
          message: "失败",
          description: "请先勾选数据",
          duration: 3
        });
        return;
      }
      y(), m.value = !0;
    }, O = async () => {
      const e = a.selectedRecords.map((s) => s.id), c = {};
      a.fields.forEach((s) => {
        t[s.name] && (c[s.name] = {
          edited: !0,
          // 使用 toRaw 解包 formModel 的值，避免 proxy 结构污染
          value: A(l[s.name]) ?? null
        });
      });
      const u = {
        ids: [...e],
        // 保证是新的数组引用
        editDTO: { ...c }
        // 浅拷贝解除响应式绑定
      };
      if (Object.keys(u.editDTO).length === 0) {
        b.warning({
          message: "提示",
          description: "请至少选择一个字段进行编辑",
          duration: 3
        });
        return;
      }
      console.log("✅ 发出干净 requestDTO:", JSON.stringify(u, null, 2)), r("submit", u);
    }, x = () => {
      m.value = !1, y(), r("cancel");
    };
    return f({
      showModal: M,
      onSuccess: () => {
        m.value = !1, b.success({
          message: "成功",
          description: "批量编辑成功",
          duration: 3
        }), r("success");
      },
      onError: (e) => {
        b.error({
          message: "失败",
          description: e || "操作失败，请稍后重试",
          duration: 3
        });
      }
    }), (e, c) => {
      const u = i("a-form-item"), s = i("a-col"), D = i("a-row"), T = i("a-form"), V = i("a-modal");
      return _(), g(V, {
        title: "批量编辑",
        open: m.value,
        getContainer: n.getContainer,
        width: "1000px",
        onOk: O,
        onCancel: x
      }, {
        default: p(() => [
          v(T, {
            model: l,
            "label-col": { span: 10 },
            "wrapper-col": { span: 14 },
            colon: !1
          }, {
            default: p(() => [
              v(D, { gutter: 24 }, {
                default: p(() => [
                  (_(!0), R(S, null, B(n.fields, (o) => (_(), g(s, {
                    span: o.span || 8,
                    key: o.name
                  }, {
                    default: p(() => [
                      v(u, {
                        label: o.label,
                        "label-col": o.labelCol || { span: 10 },
                        "wrapper-col": o.wrapperCol || { span: 14 },
                        class: E({ "button-label": !0, "button-pressed": t[o.name] }),
                        onClick: w((C) => k(o.name), ["prevent"])
                      }, {
                        default: p(() => [
                          F("div", j, [
                            (_(), g($(o.component), {
                              value: l[o.name],
                              "onUpdate:value": (C) => l[o.name] = C,
                              options: o.options,
                              placeholder: o.placeholder || "请输入",
                              class: E([{
                                "non-editable-input": !t[o.name],
                                "editable-input": t[o.name]
                              }, "form-input"]),
                              onClick: c[0] || (c[0] = w(() => {
                              }, ["stop"])),
                              disabled: !t[o.name],
                              readonly: o.readonly && !t[o.name]
                            }, null, 40, ["value", "onUpdate:value", "options", "placeholder", "class", "disabled", "readonly"]))
                          ])
                        ]),
                        _: 2
                      }, 1032, ["label", "label-col", "wrapper-col", "class", "onClick"])
                    ]),
                    _: 2
                  }, 1032, ["span"]))), 128))
                ]),
                _: 1
              })
            ]),
            _: 1
          }, 8, ["model"])
        ]),
        _: 1
      }, 8, ["open", "getContainer"]);
    };
  }
}, I = /* @__PURE__ */ U(z, [["__scopeId", "data-v-ef1c3c07"]]), K = {
  install(n) {
    n.component("MultiEditModal", I);
  }
};
export {
  I as MultiEditModal,
  K as default
};
//# sourceMappingURL=codeg-multiedit-ui.es.js.map
